import { IndexedDBProps } from "react-indexed-db-hook";
export declare const DBConfig: IndexedDBProps;
type ActivityType = 'user_event' | 'view_page' | 'view_page_click';
export type IActivity = {
    appName: string;
    userId: string;
    timestamp: number;
    activityType: ActivityType;
    eventKey?: string;
    payload: any;
};
type Props = {
    appName: string;
    userId: string;
    userData: any;
    processUpload: (activities: IActivity[], onSuccess: (ids: number[]) => void) => void;
};
export default function useTrackerIndexedDB(props: Props): {
    isReady: boolean;
};
export {};
