export type IPagination = {
    page: number;
    perPage: number;
    totalData: number;
    countPage: number;
    prev: string;
    next: string;
};
export declare const INITIAL_PAGINATION: IPagination;
export type IQuery = {
    offset?: number;
    limit?: number;
};
export declare const INITIAL_QUERY: {
    offset: number;
    limit: number;
};
export type IPayloadPagination<ResultItem> = {
    next: string;
    prev: string;
    count: number;
    results: Array<ResultItem>;
};
export interface IHttpResponse<Payload> {
    code: string;
    message: string;
    payload: Payload;
}
